# FileType

enum FileType

The type of a file.

#### Since

5.4

## Entries

FILE
Link copied to clipboard
FILE
DIRECTORY
Link copied to clipboard
DIRECTORY
MISSING
Link copied to clipboard
MISSING

Element of an input property pointing to a non-existing file.

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): FileType

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<FileType>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.